/**
 * Created by abdulazizalonizi on 7/18/17.
 */
import java.io.* ;
import java.util.Scanner;
public class Task3 {
    public static void main (String[] args)
    {

        try {

            FileInputStream fileIn = new FileInputStream("input2.txt");
            FileOutputStream oStream = new FileOutputStream("output1.txt");
            PrintWriter printW = new PrintWriter(oStream);
            Scanner fin = new Scanner(fileIn);
            double surface = fin.nextDouble();
            double radius = fin.nextDouble();

            fin.close();

            //System.out.println(surface+ "\n" + radius);

            double h = (surface - ( 2.0* Math.PI * Math.pow(radius,2) )) / (2.0*Math.PI*radius) ;
            double vol = Math.PI * Math.pow(radius,2) * h ;

           // System.out.println(vol);


            printW.printf("Volume = %.2f cubic cm", vol);

            printW.close();


        }
        catch(Exception Me)
        {
            System.out.println("Exception found !");
        }




    }
}
